Subject: bug#3911: get-free-disk-space when default-directory doesn't exist

From: Chong Yidong <[email-masked]>
Date: Mon, 17 Aug 2009 21:02:27 -0400

Kevin Ryde <[email-masked]> writes:

> I think the test for file-remote-p is covered by the first line of the
> func so it's not needed in the dir condition bit, per below.

But that applies to DIR, not default-directory.

> I still think "/" might as well be used unconditionally though.

Principle of least surprise.  If we don't have to change the default
directory, let's not, even if it seems harmless (because we can never be
sure of every eventuality).